<?xml version="1.0" encoding="utf-8"?>
<ControllerConfig Name="HC06M" Id="32">
<Parameters>
	<Parameter
	Type = "Group"
		Name="CalibrationConstants"
		Caption="Настройка каналов"
		IsConst="True">	
	<Parameter	Type="ParamSet" 
			Name="CalibrationConstants" 
			IsConst="True"
			Caption="Калибровочные константы"
			ChannelCount="6">
			<Parameter	
				Type="Constant"
				Name="CableType" 
				Caption="Тип кабеля канала"
				DataType="int"																				
				EditorType="combobox"
				DataList="CableType"									
				ScriptOnChange="OnCableTypeChangeScript"
				>	
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="CurrentCalibrationTemperature" 
				Caption="Текущая температура калибровки канала,°С(*10)"
				DataType="int"																				
				EditorType="textbox"
				Address="4316"
				AddressInterval="1"
				>					
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="CableLength" 
				Caption="Длина кабеля канала, см"
				DataType="int"																				
				EditorType="textbox"				
				Address="4322"
				AddressInterval="1"
				Updatable="true"
				ScriptAction="CableLengthCalculateScript"
				ScriptActionTitle="Рассчитать"
				>				
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="GoalTemperature" 
				Caption="Заданная температура,°С(*10)"
				DataType="int"																				
				EditorType="textbox"
				Address="4349"
				AddressInterval="3"
				>					
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="Gisterezis" 
				Caption="Гистерезис,°С(*10)"
				DataType="int"																				
				EditorType="textbox"
				Address="4350"
				AddressInterval="3"
				>					
				</Parameter>
				<Parameter	Type="Regular"
				Name="ChannelMode" 
				Caption="Режим работы"
				DataType="int"
				EditorType="combobox"
				DataList="ChannelMode"				
				Updatable="true"						
				Address="4302"
				AddressInterval="1">					
				</Parameter>				
				<Parameter	Type="Constant"
					Name="AlarmReset" 
					Caption="Сброс аварии"
					DataType="int"
					EditorType="textbox"					
					ScriptAction="AlarmResetScript"
					ScriptActionTitle="Выполнить"
					>					
				</Parameter>				
				<Parameter	
				Type="Regular"
				Name="TemperatureRegister" 
				Caption="Регистр температуры (для работы с внешним датчиком)"
				DataType="int"																				
				EditorType="textbox"
				Address="4348"
				AddressInterval="3"
				>					
				</Parameter>
				<Parameter	Type="Regular" 
					Name="ChannelControl" 
					Caption="Управление каналами"
					DataType="binary"
					EditorType="checkbox"						
					Address="1307"		
					AddressInterval="1"					
					Visible="false"
					>	
					<BitParameters>
						<BitParameter Name="ControlStatus"
							Caption="Управление/cостояние"
							Index="0"																
							Updatable="true"
							Visible="false"
							>							
						</BitParameter>
						<BitParameter Name="BreakdownClearance0"
							Caption="Сброс аварий"
							Index="1"																	
							Visible="false"
							>							
						</BitParameter>							
						<BitParameter Name="BreakdownClearance1"
							Caption="Сброс аварий"
							Index="1"																	
							Visible="false"
							>							
						</BitParameter>							
						<BitParameter Name="CableLengthCalculate"
							Caption="Расчет"
							Index="2"										
							Updatable="true"							
							Visible="false"
							>							
						</BitParameter>			
					</BitParameters>				
				</Parameter>
		</Parameter>		
	</Parameter>
		<Parameter	Type="ParamSet" 
			Name="ChannelSettings" 
			Caption="Настройка канала"
			ChannelCount="6">	
				<Parameter	
				Type="Regular"
				Name="KoeffA" 
				Caption="Коэффициент A для вычисления длины кабеля"
				DataType="float"																				
				EditorType="textbox"
				Address="4367:4368"
				AddressInterval="8"
				>					
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="KoeffB" 
				Caption="Коэффициент B для вычисления длины кабеля"
				DataType="float"																				
				EditorType="textbox"
				Address="4369:4370"
				AddressInterval="8"
				>					
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="KoeffC" 
				Caption="Коэффициент C для вычисления длины кабеля"
				DataType="float"																				
				EditorType="textbox"
				Address="4371:4372"
				AddressInterval="8"
				>					
				</Parameter>
				<Parameter	
				Type="Regular"
				Name="KoeffD" 
				Caption="Коэффициент D для вычисления длины кабеля"
				DataType="float"																				
				EditorType="textbox"
				Address="4373:4374"
				AddressInterval="8"
				ScriptOnInit="OnLastKoeffInitScript"
				>					
				</Parameter>				
	</Parameter>				
</Parameters>		
</ControllerConfig>
